add_up.h File Reference
`#include "groebner_defs.h"`
`#include "LexOrderGreaterComparer.h"`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Functions

MonomialSet | polybori::groebner::add_up_lex_sorted_monomials (const BoolePolyRing &ring, std::vector< Monomial > &vec, int start, int end)
MonomialSet | polybori::groebner::add_up_lex_sorted_exponents (const BoolePolyRing &ring, std::vector< Exponent > &vec, int start, int end)
Polynomial | polybori::groebner::add_up_exponents (const std::vector< Exponent > &vec, const Polynomial &init)
Polynomial | polybori::groebner::unite_polynomials (const std::vector< Polynomial > &res_vec, int start, int end, Polynomial init)
Polynomial | polybori::groebner::unite_polynomials (const std::vector< Polynomial > &res_vec, Polynomial init)
template<class T >
Polynomial | polybori::groebner::add_up_generic (const std::vector< T > &res_vec, int start, int end, Polynomial init)
template<class T >
Polynomial | polybori::groebner::add_up_generic (const std::vector< T > &res_vec, Polynomial init)
Polynomial | polybori::groebner::add_up_monomials (const std::vector< Monomial > &vec, const Polynomial &init)
Polynomial | polybori::groebner::add_up_polynomials (const std::vector< Polynomial > &vec, const Polynomial &init)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-07-01

This file includes the definition of specialized adding routines.

Copyright:
  (c) by The PolyBoRi Team